import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data, error } = await migma.campaigns.get('CAMPAIGN_ID');{
"success": true,
"data": {
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"conversationId": "<string>",
"subject": "<string>",
"preheaderText": "<string>",
"from": "jsmith@example.com",
"fromName": "<string>",
"replyTo": "<string>",
"recipientType": "audience",
"recipientId": "<string>",
"topicId": "<string>",
"estimatedRecipients": 123,
"providerType": "ses",
"variables": {},
"status": "draft",
"scheduledAt": "2023-11-07T05:31:56Z",
"scheduledTimezone": "<string>",
"batchId": "<string>",
"sentAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"triggeredBy": "manual",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"error": "<string>"
}Get a single campaign by ID. Requires API key with EMAIL_READ.
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data, error } = await migma.campaigns.get('CAMPAIGN_ID');{
"success": true,
"data": {
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"conversationId": "<string>",
"subject": "<string>",
"preheaderText": "<string>",
"from": "jsmith@example.com",
"fromName": "<string>",
"replyTo": "<string>",
"recipientType": "audience",
"recipientId": "<string>",
"topicId": "<string>",
"estimatedRecipients": 123,
"providerType": "ses",
"variables": {},
"status": "draft",
"scheduledAt": "2023-11-07T05:31:56Z",
"scheduledTimezone": "<string>",
"batchId": "<string>",
"sentAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"triggeredBy": "manual",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"error": "<string>"
}API key authentication. Use 'Authorization: Bearer YOUR_API_KEY' where YOUR_API_KEY is obtained from the Migma dashboard under Settings → API Integration.
Campaign ID
Was this page helpful?